#
# spec file for package lua51-luaexpat
#
# Copyright (c) 2009 florian.leparoux@gmail.com
# Copyright (c) 2012 Togan Muftuoglu toganm@opensuse.org
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lua51-luaexpat
Version:        1.3.0
Release:        1.2
License:        MIT
Summary:        A SAX XML parser based on the Expat library
Url:            http://matthewwild.co.uk/projects/luaexpat/
Group:          Productivity/Networking/Other
Source:         http://matthewwild.co.uk/projects/luaexpat/luaexpat-%{version}.tar.gz
Patch1:         luaexpat-lib.patch
BuildRequires:  libexpat-devel
%if 0%{?suse_version} > 1210
BuildRequires:  lua51-devel
%else
BuildRequires:  lua-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
LuaExpat is a SAX XML parser based on the Expat library.

%prep
%setup -q -n luaexpat-%{version}
%patch1 -p1

%build
make %{?_smp_mflags} \
    PREFIX="%{_prefix}" \
    LUA_CDIR="%{lua_archdir}" \
    CFLAGS="%{optflags}" \
    CC="gcc"

%install
%makeinstall \
    PREFIX="%{_prefix}" \
    LUA_CDIR="%{lua_archdir}"

%files
%defattr(-,root,root)
%{lua_archdir}/lxp.so.1.3.0
%{lua_archdir}/lxp.so
%{lua_noarchdir}/lxp

%changelog
* Wed May 28 2014 seiler@b1-systems.de
- update to v1.3.0
  * Lua 5.2 support (thanks Tomás Guisasola Gorham)
  * support for the XmlDecl handler
  * add parser:getcurrentbytecount() (XML_GetCurrentByteCount)
  * ability to disable CharacterData merging
  * Makefile improvements (thanks Vadim Misbakh-Soloviov)
* Sat Jun 29 2013 i@marguerite.su
- update version 1.2.0
  * support for the StartDoctypeDecl handler
  * add parser:stop() to abort parsing inside a callback
* Tue Apr 17 2012 toganm@opensuse.org
- Cleanup spec and create changes file
  * correct Licence to MIT
  * fix build for factory by using lua51-devel
  * fix build for SLE_11 and SLE_11_SP1
  * add copyright to spec
* Sat Jan 23 2010 florian.leparoux@gmail.com
- rebuild correctly luaexpat on openSUSE 11.2
* Tue Dec 15 2009 florian.leparoux@gmail.com
- build luaexpat on openSUSE 11.2
